## zowe › zos-files › create › data-set-binary

Create executable data sets.

#### Usage

zowe zos-files create data-set-binary <dataSetName> [options]

#### Positional Arguments

- `dataSetName` (string)

  - The name of the data set that you want to create

#### Options

- `--attributes` | `-a` (boolean)

  - Show the full allocation attributes

- `--block-size` | `--bs` | `--blksize` (number)

  - The block size for the data set (for example, 6160)

    Default value: 27998

- `--data-class` | `--dc` (string)

  - The SMS data class to use for the allocation

- `--data-set-type` | `--dst` | `--dsntype` (string)

  - The data set type (BASIC, EXTPREF, EXTREQ, HFS, LARGE, PDS, LIBRARY, PIPE)

- `--device-type` | `--dt` | `--unit` (string)

  - The device type, also known as 'unit'

- `--directory-blocks` | `--db` | `--dirblks` (number)

  - The number of directory blocks (for example, 25)

    Default value: 25

- `--management-class` | `--mc` (string)

  - The SMS management class to use for the allocation

- `--primary-space` | `--ps` (number)

  - The primary space allocation (for example, 5)

    Default value: 10

- `--record-format` | `--rf` | `--recfm` (string)

  - The record format for the data set (for example, FB for "Fixed Block")

    Default value: U

- `--record-length` | `--rl` | `--lrecl` (number)

  - The logical record length. Analogous to the length of a line (for example, 80)

    Default value: 27998

- `--secondary-space` | `--ss` (number)

  - The secondary space allocation (for example, 1)

- `--size` | `--sz` (string)

  - The size of the data set (specified as nCYL or nTRK - where n is the number of cylinders or tracks). Sets the primary allocation (the secondary allocation becomes ~10% of the primary).

- `--storage-class` | `--sc` (string)

  - The SMS storage class to use for the allocation

- `--volume-serial` | `--vs` | `--volser` (string)

  - The volume serial (VOLSER) on which you want the data set to be placed. A VOLSER is analogous to a drive name on a PC.

- `--response-timeout` | `--rto` (number)

  - The maximum amount of time in seconds the z/OSMF Files TSO servlet should run before returning a response. Any request exceeding this amount of time will be terminated and return an error. Allowed values: 5 - 600

#### Zosmf Connection Options

- `--host` | `-H` (string)

  - The z/OSMF server host name.

- `--port` | `-P` (number)

  - The z/OSMF server port.

    Default value: 443

- `--user` | `-u` (string)

  - Mainframe (z/OSMF) user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (z/OSMF) password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all z/OSMF resources when making REST requests. Do not specify this option if you are not using an API mediation layer.

- `--protocol` (string)

  - The protocol used (HTTP or HTTPS)

    Default value: https
    Allowed values: http, https

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

- `--completion-timeout` | `--cto` (number)

  - The amount in time, in seconds, a REST operation should wait to complete before timing out

- `--establish-connection-timeout` | `--ecto` (number)

  - The amount of time, in seconds, a REST operation should wait while connecting to the server before timing out

#### Profile Options

- `--zosmf-profile` | `--zosmf-p` (string)

  - The name of a (zosmf) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

#### Examples

- Create an empty binary partitioned data set (PDS) with default parameters:

  - `zowe zos-files create data-set-binary NEW.BINARY.DATASET`

- Create an empty binary PDSE using data set type LIBRARY:

  - `zowe zos-files create data-set-binary NEW.BINARY.DATASET --data-set-type LIBRARY`